# $Id: perl-libintl.spec 5970 2007-11-08 22:11:43Z dag $
# Authority: dag

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name libintl-perl

Summary: Internationalization library for Perl, compatible with gettext
Name: perl-libintl
Version: 1.16
Release: 1.%{releasetagsuffix}
License: LGPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/libintl-perl/

Source: http://www.cpan.org/modules/by-module/Locale/libintl-perl-%{version}.tar.gz
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)
Provides: perl-libintl-perl = %{version}-%{release}
Provides: perl(Locale::gettext_xs)

%description
The package libintl-perl is an internationalization library for Perl that
aims to be compatible with the Uniforum message translations system as
implemented for example in GNU gettext.

%prep
%setup -n libintl-perl-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog COPYING* NEWS README THANKS TODO
%{_mandir}/man3/*.3pm*
%{perl_vendorlib}/Locale/

%changelog
* Fri Mar 30 2007 Dag Wieers <dag@wieers.com> - 1.16-1 #5970
- Updated to release 1.16.

* Tue Nov  9 2004 Matthias Saou <http://freshrpms.net/> 1.11-2
- Fix : Added perl(Locale::gettext_xs) provides.

* Thu Nov  4 2004 Matthias Saou <http://freshrpms.net/> 1.11-1
- Initial RPM release.

